<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Excel_Blog
 */
    
    /**
     * Doctype Hook
     * 
     * @hooked excel_blog_doctype
    */
    do_action( 'excel_blog_doctype' );
?>
<head>

<?php 
    /**
     * Before wp_head
     * 
     * @hooked excel_blog_head
    */
    do_action( 'excel_blog_before_wp_head' );
    
    wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php

    /**
     * Before Header
     * 
     * @hooked excel_blog_page_start - 20 
    */
    do_action( 'excel_blog_before_header' );
        
    /**
     * Header
     * 
     * @hooked excel_blog_header_start         - 20
     * @hooked excel_blog_header_top           - 30
     * @hooked excel_blog_header_site_branding - 40
     * @hooked excel_blog_header_nav           - 50
     * @hooked excel_blog_header_end           - 100    
    */
    do_action( 'excel_blog_header' );
    
    /**
     * After Header
     * 
     * @hooked excel_blog_top_slider - 20 
    */
    do_action( 'excel_blog_after_header' );
    
    /**
     * Content
     * 
     * @hooked excel_blog_content_start
    */
    do_action( 'excel_blog_content_start' );